Subject: Re: SATA FSL and upstreaming

From: "tiejun.chen" <[email-masked]>
Date: Thu, 16 May 2013 14:43:25 +0800

On 05/16/2013 02:40 PM, Benjamin Herrenschmidt wrote:
> On Thu, 2013-05-16 at 14:35 +0800, tiejun.chen wrote:
>> On 05/16/2013 02:21 PM, Benjamin Herrenschmidt wrote:
>>> On Thu, 2013-05-16 at 14:17 +0800, tiejun.chen wrote:
>>>> I think you can use Bharat's RCW, which seems RR_HXAPNSP_0x36, then
>>>> please take
>>>> a look at this:
>>>
>>> Ok, how do I update my RCW to bse Bharat's ?
>>
>>
>> Firstly please check which flash bank is used since we have to know where should
>> be updated RCW.
>>
>> What is SW7[1:4]?
>>
>> Or we have another simple way in u-boot prompt:
>>
>> => md.b ffdf002c
>> ffdf002c: 4f 00 fe 00 39 00 00 00 00 00 00 00 00 00 00 00    O...9...........
>> ...
>
> ffdf002c: 0f 00 fe 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
>
>> This means we're on bank4.
>
> I assume that means bank0 ?

Yes, RCW should be burned to 0xec000000.

In u-boot prompt:

=> loady
## Ready for binary (ymodem) download to 0x01000000 at 115200 bps...
C

Then send that RCW with ymodem in your terminal client.

Tiejun